> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# List workbooks for a tag

GET https://api.sigmacomputing.com/v2/tags/{tagId}/workbooks

Get a list of workbooks for a specific version tag. Retrieve the **tagId** by calling the [/v2/tags](https://help.sigmacomputing.com/reference/list-version-tag) endpoint and using the `versionTagId` in the response.

Reference: https://help.sigmacomputing.com/reference/list-workbooks-for-tag

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/tags/{tagId}/workbooks:
    get:
      operationId: listWorkbooksForTag
      summary: List workbooks for a tag
      description: >-
        Get a list of workbooks for a specific version tag. Retrieve the
        **tagId** by calling the
        [/v2/tags](https://help.sigmacomputing.com/reference/list-version-tag)
        endpoint and using the `versionTagId` in the response.
      tags:
        - Tags
      parameters:
        - name: tagId
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: number
            format: double
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/tags_listWorkbooksForTag_Response_200'
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2TagsTagIdWorkbooksGetResponsesContentApplicationJsonSchemaEntriesItemsTagsItems:
      type: object
      properties:
        versionTagId:
          type: string
          description: Unique identifier of the tag.
        name:
          type: string
        sourceWorkbookVersion:
          type: number
          format: double
        taggedWorkbookId:
          type: string
          description: Unique identifier of the tagged workbook.
        workbookTaggedAt:
          type: string
          format: date-time
      required:
        - versionTagId
        - name
        - sourceWorkbookVersion
        - taggedWorkbookId
        - workbookTaggedAt
      title: >-
        V2TagsTagIdWorkbooksGetResponsesContentApplicationJsonSchemaEntriesItemsTagsItems
    V2TagsTagIdWorkbooksGetResponsesContentApplicationJsonSchemaEntriesItems:
      type: object
      properties:
        workbookId:
          type: string
          description: Unique identifier of the workbook.
        workbookUrlId:
          type: string
        name:
          type: string
        url:
          type: string
        path:
          type: string
        latestVersion:
          type: number
          format: double
        ownerId:
          type: string
        createdBy:
          type: string
          description: The identifier of the user who created this object.
        updatedBy:
          type: string
          description: The identifier of the user or process that last updated this object.
        createdAt:
          type: string
          format: date-time
          description: When the object was created.
        updatedAt:
          type: string
          format: date-time
          description: When the object was last updated.
        isArchived:
          type: boolean
        tags:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2TagsTagIdWorkbooksGetResponsesContentApplicationJsonSchemaEntriesItemsTagsItems
        description:
          type: string
      required:
        - workbookId
        - workbookUrlId
        - name
        - url
        - path
        - latestVersion
        - ownerId
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
      title: V2TagsTagIdWorkbooksGetResponsesContentApplicationJsonSchemaEntriesItems
    tags_listWorkbooksForTag_Response_200:
      type: object
      properties:
        entries:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2TagsTagIdWorkbooksGetResponsesContentApplicationJsonSchemaEntriesItems
          description: Array of results returned by the endpoint
        nextPage:
          type:
            - string
            - 'null'
          description: >-
            Returns a string that can be used as the `page` parameter in the
            next request to fetch the next page of results. The last page of
            results returns `null`.
        total:
          type: number
          format: double
          description: >-
            Total number of results. Useful to determine if there is a need to
            paginate.
        hasMore:
          type: boolean
          description: '**[Deprecated]** Indicates whether more results are available.'
      required:
        - entries
        - nextPage
      title: tags_listWorkbooksForTag_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "entries": [
    {
      "workbookId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
      "workbookUrlId": "sales_performance_q1_2024",
      "name": "Sales Performance Q1 2024",
      "url": "https://app.sigmacomputing.com/workbooks/sales_performance_q1_2024",
      "path": "/Sales/2024/Q1",
      "latestVersion": 3.2,
      "ownerId": "user_987654321",
      "createdBy": "user_123456789",
      "updatedBy": "user_987654321",
      "createdAt": "2024-01-15T09:30:00Z",
      "updatedAt": "2024-04-10T14:45:00Z",
      "isArchived": false,
      "tags": [
        {
          "versionTagId": "tag_2024_q1_release",
          "name": "Q1 Release",
          "sourceWorkbookVersion": 3.2,
          "taggedWorkbookId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
          "workbookTaggedAt": "2024-04-10T15:00:00Z"
        }
      ],
      "description": "Workbook showing sales performance metrics for Q1 2024."
    }
  ],
  "nextPage": null,
  "total": 1,
  "hasMore": false
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/tags/tagId/workbooks"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/tags/tagId/workbooks';
const options = {
  method: 'GET',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/tags/tagId/workbooks"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/tags/tagId/workbooks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/tags/tagId/workbooks")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/tags/tagId/workbooks', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/tags/tagId/workbooks");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/tags/tagId/workbooks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```